Subject: Antwort: (ROSE) VC++ 6.0 code generation bug when dering from nested class
From: [email-masked]
To: [email-masked]
Date: Fri, 8 Nov 2002 14:09:53 +0100

Hi 

I have the same Problem (see my mail a few days ago). My only solutions
is: 

//##ModelId=3DC6876C0052 
//##Documentation 
//## 
//## Utilitie Klasse zu DMatrix<T> 
//## 
template <class T> 
class CMatrix 
    { 
    public: 

        //##ModelId=3DC68A0E039B 
        //##Documentation 
        //## 
        //## Auch ROSE Ansi-C++ ist machmal ein wenig dämlich. 
        //## 
        typedef DMatrix<T>::Cursor DMatrix_T_Cursor; 

    public: 

        //##ModelId=3DC68834033F 
        //##Documentation 
        class  Cursor: 
        public DMatrix_T_Cursor 
            { 
            public: 

I thought that the Problem only exists with template classes and ANSI
C++ but now I see the Problem is more fundamental. 

With Regards 

Martin 

	<[email-masked]> 
Gesendet von: [email-masked] 

08.11.02 10:32 
Bitte antworten an ext-Claus.Jakobsen 
        
        An:        <[email-masked]> 
        Kopie:         
        Thema:        (ROSE) VC++ 6.0 code generation bug when dering
from nested class

Hi'

I have a class A that derives from B::Nested. When I code generate to
Visual C++ 6.0 the generated code looks like this class A : public
Nested and not like this which is the correct class A : public
B::Nested. 

Is there a fix or work around for this problem for this? I know I can
make the nested class a non-nested one but I will prefer not to.

I use Rose 2002 version 2002.05.20, Visual Studio 6.0 service pack 5 and
Windows 2000 service pack 2.

Regards 
Claus Jakobsen
************************************************************************
* Rose Forum is a public venue for ideas and discussions.
* For technical support, visit http://www.rational.com/support
*
* Post or Reply to: [email-masked]
* Subscription Requests: [email-masked]
* Archive of messages:
*    http://www.rational.com/support/usergroups/rose/rose_forum..jsp
* Other Requests: [email-masked]
*
* To unsubscribe from the list, please send email
*    To: [email-masked]
*    Subject: <BLANK>
*    Body: unsubscribe rose_forum
************************************************************************
*